Bug 733222 - libqxt-devel package is broken
Summary: libqxt-devel package is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libqxt
Version: 14
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 07:45 UTC by Michael Jordan
Modified: 2011-09-11 01:47 UTC (History)
1 user (show)

Fixed In Version: libqxt-0.6.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-10 23:55:25 UTC


Attachments (Terms of Use)

Description Michael Jordan 2011-08-25 07:45:46 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/535.1 (KHTML, like Gecko) Chrome/13.0.782.215 Safari/535.1

The current devel package for libqxt (as a result of the latest updates) is libqxt 0.6.0.  This version has missing header files.  This issue also plagues the 0.6.1 version available from the libqxt website.  The most current "tip" version has the headers fixed.

Reproducible: Always

Steps to Reproduce:
1.  Add libqxt and libqxt-devel to your system
2.  Try to use it in a Qt project
3.  When compiling it begins to complain about the missing headers and stops
Actual Results:  
Cannot use the package

Expected Results:  
I should be able to include libqxt and successfully compile my package

Comment 1 Orcan Ogetbil 2011-08-25 11:55:12 UTC
Hi, thanks for the report. Could you be a little more specific? What header files are missing and what error message you get? Do you know which upstream commit fixes the problem?

We have packages in Fedora that compile fine against libqxt, and "rpm -ql libqxt-devel" lists the headers that are installed. I can backport the fix from the "tip" version but I need to know first what is wrong.

Comment 2 Michael Jordan 2011-08-25 20:39:29 UTC
/usr/include/qxtxmlrpcresponse.h
/usr/include/qxtjsonrpcresponse.h

should be renamed to

/usr/include/qxtxmlrpccall.h
/usr/include/qxtjsonrpccall.h

respectively.

Defines in .h files should probably be changed also.

See the following:

http://dev.libqxt.org/libqxt/issue/112/wrong-include-in-qxtnetworkh

Comment 3 Orcan Ogetbil 2011-08-25 23:32:50 UTC
I see.

(In reply to comment #2)
> /usr/include/qxtxmlrpcresponse.h
> /usr/include/qxtjsonrpcresponse.h
> 
> should be renamed to
> 
> /usr/include/qxtxmlrpccall.h
> /usr/include/qxtjsonrpccall.h
> 
> respectively.
> 

I think this is the only fix we need currently.

> Defines in .h files should probably be changed also.
> 

This shouldn't be necessary, those #ifndef/#defines are just to prevent double includes. I mean, just for consistency it would be nice to change them, but upstream still uses the old ones in their "tip"

Any other fix we need to backport?

Comment 4 Michael Jordan 2011-08-25 23:46:00 UTC
That should cover it.  I made the changes locally on my system and my application compiles now.

Thank you for taking notice so quickly.

Comment 5 Orcan Ogetbil 2011-08-26 00:49:41 UTC
No problem. I see that I have to use a different patch in F-14. Could you please test it when the builds are done as I don't have an F-14 system anymore? The update report will be appear below in a few minutes.

Comment 6 Orcan Ogetbil 2011-08-26 00:58:13 UTC
Nevermind. I was wrong. The same patch applies to all branches.

Comment 7 Fedora Update System 2011-08-26 01:29:11 UTC
libqxt-0.6.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libqxt-0.6.1-3.fc16

Comment 8 Fedora Update System 2011-08-26 01:29:39 UTC
libqxt-0.6.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libqxt-0.6.1-3.fc15

Comment 9 Fedora Update System 2011-08-26 01:30:01 UTC
libqxt-0.6.0-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libqxt-0.6.0-4.fc14

Comment 10 Fedora Update System 2011-08-26 14:20:21 UTC
Package libqxt-0.6.1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libqxt-0.6.1-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libqxt-0.6.1-3.fc16
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-09-10 23:55:20 UTC
libqxt-0.6.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-09-10 23:56:36 UTC
libqxt-0.6.0-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-09-11 01:46:56 UTC
libqxt-0.6.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.